jQuery(document).ready(function(){
	var home_slider = jQuery('#npr_home_slider');
	var home_tabs = jQuery('#npr_home_tabs');
	var home_mini = jQuery('#npr_home_minibox');
	
	
	if(home_slider.length) {
		jQuery('#npr_home_slider').bxSlider({
			auto: npr_hs_auto,
			pause: npr_hs_auto_speed,
			mode: 'fade',
			captions: true,
			adaptiveHeight: false,
			onSlideAfter: function($slideElement, oldIndex, newIndex){
				hideSlideContent(jQuery('#npr_home_slider').find('li:nth-child('+(oldIndex+1)+')'));
				showSlideContent($slideElement);
			},
			onSliderLoad: function(currentIndex) {
				showSlideContent(jQuery('#npr_home_slider').find('li:nth-child('+(currentIndex+1)+')'));
			}
		});
		
	}
	
	if(home_mini.length) {
		
	}
	
	
	if(home_tabs.length) {
		var npr_currtab = 0;
		var npr_tab_inanim = 0;
		var tab_elems = jQuery('#npr_home_tabs_menu');
		var con_elems = jQuery('#npr_home_tabs_container');
		
		npr_home_tabs_init();
		
	}
	
	function hideSlideContent(el) {
		el.find('h1').animate({'top' : '-70px'},800,'easeOutSine');
		el.find('.slider_content').animate({'top' : '400px'},800,'easeOutSine');
	}
			
	function showSlideContent(el) {
		var h1top = '80px',
			h2top = '190px';
		if(jQuery(window).height() <= 320) {
			h1top = '50px';
			h2top = '160px';
		}
		el.find('h1').animate({'top' : '' + h1top + ''},800,'easeOutSine');
		el.find('.slider_content').animate({'top' : '' + h2top + ''},800,'easeOutSine');
	}
	
	function npr_home_tabs_init() {
		tab_elems.find('li a').click(function(){
			if(npr_tab_inanim == 0) npr_switch_home_tab(jQuery(this));
			return false;
		});
		
		npr_currtab = tab_elems.find('li.npr_tab_active a').attr('rel');
	}
			
	function npr_switch_home_tab(tab) {
		npr_tab_inanim = 1;
		var tab_id = tab.attr('rel');
		var currtab = jQuery('#npr_tab_content_'+npr_currtab);
		var newtab = jQuery('#npr_tab_content_'+tab_id);
			
		tab_elems.find('.npr_tab_active').removeClass('npr_tab_active');
		tab.parent('li').addClass('npr_tab_active');
				
		currtab.fadeOut(500,function(){
			npr_currtab = tab_id;
			con_elems.find('div').removeClass('npr_tab_active');
			newtab.fadeIn(500,function(){ npr_tab_inanim = 0; });
		});
			
	}
	
});

