/* READ MORE FUNCTIONS */
function npr_readmore(readmoreID) {
    var readmore = jQuery('#' + readmoreID);
    if(readmore.hasClass('npr_readmore_open')) {
        console.log('opened');
        npr_show_readmore(readmoreID,true);
    } else {
        npr_hide_readmore(readmoreID,true);
    }
    readmore.find('.npr_readmore_title').click(function(){
        npr_toggle_readmore(readmoreID);
    });
}

function npr_show_readmore(readmoreID,fast) {
    var readmore = jQuery('#' + readmoreID);
    var readmoreContent = readmore.find('.readmore_content');
    var readmoreChevron = readmore.find('.npr_readmore_btn');
    if(fast == 1) {
        readmoreContent.show();
    } else {
        readmoreContent.show('blind',{},500);
    }
    readmoreChevron.removeClass('fa-chevron-down').addClass('fa-chevron-up');
    readmore.removeClass('npr_readmore_close').addClass('npr_readmore_open');
}

function npr_hide_readmore(readmoreID,fast) {
    var readmore = jQuery('#' + readmoreID);
    var readmoreContent = readmore.find('.readmore_content');
    var readmoreChevron = readmore.find('.npr_readmore_btn');
    if(fast == 1) {
        readmoreContent.hide();
    } else {
        readmoreContent.hide('blind',{},500);
    }
    readmoreChevron.removeClass('fa-chevron-up').addClass('fa-chevron-down');
    readmore.removeClass('npr_readmore_open').addClass('npr_readmore_close');
}

function npr_toggle_readmore(readmoreID) {
    var readmore = jQuery('#' + readmoreID);
    if (readmore.hasClass('npr_readmore_open')) {
        npr_hide_readmore(readmoreID);
    } else {
        npr_show_readmore(readmoreID);
    }
}


/* TABS FUNCTION */
function npr_tabs(tabsID,chevron) {
    var tabs = jQuery('#' + tabsID);
    var tabList = tabs.find('.npr_tabs_items');
    var tabContents = tabs.find('.npr_tabs_content');    
    
    if(tabs.hasClass('npr_tabs_left') || tabs.hasClass('npr_tabs_right')) {
        tabs.append('<div class="npr_tabs_bg"></div>');
        tabList.find('li').append('<i class="fa ' + chevron + ' chevron"></i>');
    }
    
    
    npr_show_tab(tabsID,0,1);
    
    tabList.find('li').click(function(){
        var nth = jQuery(this).index();
        npr_show_tab(tabsID,nth,0);
    });
}

function npr_show_tab(tabsID,tabNum,fast) {
    var tabs = jQuery('#' + tabsID);
    var tabList = tabs.find('.npr_tabs_items');
    var tabContents = tabs.find('.npr_tabs_content');
    var nthi = tabNum + 1;
    
    if(fast == 1) {
        tabList.find('li:nth-child(' + nthi + ')').addClass('active');
        tabContents.find('.npr_tab_content:nth-child(' + nthi + ')').fadeIn(1).addClass('active');
    } else {
        var activeTab = tabContents.find('.active');
        
        activeTab.fadeOut(300,function() {
            tabList.find('li.active').removeClass('active');
            activeTab.removeClass('active');
   
            tabList.find('li:nth-child(' + nthi + ')').addClass('active');
            tabContents.find('.npr_tab_content:nth-child(' + nthi + ')').fadeIn(300,function(){
                jQuery(this).addClass('active');
            });
        });
    }
}


