<?php get_header(); ?>
<?php get_template_part('template_part/breadcrumb'); ?>
<?php
$sidebarPosition = npr_sidebar_position();
if($sidebarPosition == 'fullwidth') $fullwidth = true;
if(npr_option('single_page_image') == 'true') {
	if($fullwidth === true) {
		$imsa = array(920,920);
	} else {
		$imsa = array(600,600);
	}
	$thumb = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$imsa);
	if($thumb !== false) {
		$thumb = '<div class="content-header">
			<div class="content-thumb"><img src="'.$thumb[0].'" alt="'.$post->post_title.'" /></div>
		</div>';
	}
}
?>
<div class="content-wrap<?php print ($fullwidth === true ? ' fullwidth' : ' not_fullwidth ' . $sidebarPosition);?>">
	<?php while(have_posts()) : the_post(); ?>
		<div class="content-area">
			<?php print $thumb;?>
			<article id="post-<?php print $post->ID;?>" <?php post_class('clearfix '.($thumb != '' ? ' title-thumb' : '').''); ?>>
				<div class="content-title"><h1><?php the_title(); ?></h1></div>
				<div class="content">
				<?php the_content(); ?>
				<?php print ($extra_content != '' ? $extra_content : ''); ?>
				</div>
			</article>
			<?php (comments_open() && npr_option('single_page_comment') == 'true' ? comments_template('',true) : '');?>
		</div>		
	<?php endwhile; ?>
	<?php ($fullwidth !== true) ? get_sidebar() : '';?>
	<div class="clear"></div>
</div>
<?php get_footer(); ?>
