<?php get_header(); ?>
<?php get_template_part('template_part/breadcrumb'); ?>
<?php

$sidebarPosition = npr_sidebar_position();
if($sidebarPosition == 'fullwidth') $fullwidth = true;

if(npr_option('single_post_image') == 'true') {
	$thumb = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),array(600,600));
	if($thumb !== false) {
		$thumb = '<div class="content-header">
			<div class="content-thumb"><img src="'.$thumb[0].'" alt="'.$post->post_title.'" /></div>
		</div>';
	}
}
?>
<div class="content-wrap<?php print ($fullwidth === true ? ' fullwidth' : ' ' . $sidebarPosition); ?>">
	<?php while(have_posts()) : the_post(); ?>
		<div class="content-area">
			<?php print $thumb; ?>
			<article id="post-<?php print $post->ID; ?>" <?php post_class('clearfix '.($thumb != '' ? ' title-thumb' : '').''); ?>>
				<div class="content-title"><h1><?php the_title(); ?></h1></div>
				<?php npr_post_info_box($post,npr_option('single_post_info'));?>
				<div class="content">
				<?php the_content(); ?>
				</div>
				<?php wp_link_pages(array('before' => '<div class="content-pages">'.__('Pages:','above_skyline_demo'),'after' => '</div>')); ?>
				<?php (npr_option('single_post_tags') == 'true' ? the_tags('<div class="content-tags"><i class="icon fa fa-tags"></i> Tags: ',', ','</div>') : ''); ?>
			</article>
			<?php (comments_open() && npr_option('single_post_comment') == 'true' ? comments_template('',true) : ''); ?>
		</div>		
	<?php endwhile; ?>
	<?php ($fullwidth !== true) ? get_sidebar() : ''; ?>
	<div class="clear"></div>
</div>
<?php get_footer(); ?>