<?php
if(!function_exists('npr_comment_display')) {
	function npr_comment_display($comment,$args,$depth) {
		global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
		$GLOBALS['comment'] = $comment;
		?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment_box clearfix">
			<div class="comment_wrap">
				<div class="avatar_wrap">
					<?php print get_avatar($comment,$size = '60'); ?>
				</div>
				<div class="comment_author">
					<strong><span class="author-link"><?php print get_comment_author_link();?></span></strong>
					<span class="comment_date">
						<?php
						/* translators: 1: date, 2: time */
						printf(__(' on %1$s','above_skyline_demo'),get_comment_date(),get_comment_time());
						?>
					</span>
					<?php edit_comment_link(__('(edit)','above_skyline_demo')); ?>
				</div>
				<div class="comment_text">
					<?php if ($comment->comment_approved == '0') : ?>
						<em class="moderation"><?php esc_html_e('Your comment is awaiting moderation.','above_skyline_demo') ?></em>
						<br />
					<?php endif; ?>
					<?php comment_text() ?>
					<?php
						$reply = get_comment_reply_link(array_merge($args, array('reply_text' => esc_attr__('Reply','above_skyline_demo'),'depth' => $depth, 'max_depth' => $args['max_depth'])));
						if ($reply) print '<div class="reply">'.$reply.'</div>';
					?>
				</div> 
			</div> 
		</article>
		<?php
		
	}
}


if(!function_exists('npr_ping_show')) {
	function npr_ping_show($comment,$args,$depth) {
		global $npr_theme_config, $theme_name, $theme_slug, $theme_version, $fields;
		$GLOBALS['comment'] = $comment;
		
	}
}

?>