<?php
$npr_minibox_content = '';
if(npr_option('mini_boxes_item') != '') {
	$npr_mboxes_postlist_h = get_posts(array(
									'include' => npr_option('mini_boxes_item'),
									'orderby' => 'ID',
									'order' => 'DESC',
									'post_type' => 'page'
								));
	if(count($npr_mboxes_postlist_h) > 0) {
		$npr_mboxes_postlist_n = array();
		$npr_mboxes_postlist = array();
		foreach($npr_mboxes_postlist_h AS $pshd) {
			$npr_mboxes_postlist_n[$pshd->ID] = $pshd;
		}
		$expl = explode(',',npr_option('mini_boxes_item'));
		if(count($expl) > 0) {
			foreach($expl AS $expd) {
				$npr_mboxes_postlist[] = $npr_mboxes_postlist_n[$expd];
			}
		}
	}
	
	switch(count($npr_mboxes_postlist)) {
		case 1:
			$npr_home_minibox_width_class = 'w100';
			break;
		case 2:
			$npr_home_minibox_width_class = 'w50';
			break;
		case 3:
			$npr_home_minibox_width_class = 'w33';
			break;
		case 4:
			$npr_home_minibox_width_class = 'w25';
			break;
	}
	
} else {
	/* LOAD DEMO CONTENT IF THE SECTION IS ACTIVE BUT NOTHING TO SHOW */
	$npr_minibox_demo 		= nprGetMiniboxDemo();
	
	$npr_mboxes_postlist 	= array();
	
	$npr_minibox_content = $npr_minibox_demo['minibox'];
}
?>

<div class="npr_home_miniboxes clearfix" id="npr_home_minibox">
	<?php
	$ftab = 0;
	global $more; 
	foreach($npr_mboxes_postlist AS $ptab) {
		$more = 0; 
		setup_postdata($ptab);
		$post_options = get_post_meta($ptab->ID,'_npr_custom_settings',true);
		if(!is_array($post_options)) $post_options = array();
		$post_title = ($post_options['npr_minibox_title'] != '') ? $post_options['npr_minibox_title'] : $ptab->post_title;
		$post_link = ($post_options['npr_minibox_link'] != '') ? $post_options['npr_minibox_link'] : get_permalink($ptab->ID);
		?>
		<div class="npr_home_minibox <?php print $npr_home_minibox_width_class;?>">
				<?php
				if($post_options['npr_minibox_icon'] != '') {
					?> <div class="nhm_icon"> <?php
					if(substr($post_options['npr_minibox_icon'],0,2) == 'fa') {
						/* UPCOMING FEATURE! */
						?>
						<div class="icon_p"><i class="icon fa fa-5x <?php print $post_options['npr_minibox_icon'];?>"></i></div>
						<?php
					} else {
						?>
						<img src="<?php print $post_options['npr_minibox_icon'];?>" alt="<?php print $post_title;?>" />
						<?php
					}
					?> </div> <?php
				}
				?>
			<div class="hmb_content">
				<h3><a href="<?php print $post_link;?>"><?php print $post_title;?></a></h3>
				<?php
				if($post_options['npr_minibox_content'] != '') print npr_newline($post_options['npr_minibox_content']); else the_content();
				?>
			</div>
		</div>
		<?php
		$ftab = 1;
	}
	print $npr_minibox_content;
	?>
</div>