<?php
if(npr_option('slider_show_posts') == 'true') {
	$npr_fs_postlist = get_posts(array(
									   'posts_per_page' => npr_option('slider_number_posts'),
									   'category' => npr_option('featured_slider_category'),
									   'orderby' => 'post_date',
									   'order' => 'ASC'
								));
} else {
	$npr_fs_postlist_h = get_posts(array(
									   'include' => npr_option('featured_slider_pages'),
									   'orderby' => 'ID',
									   'order' => 'DESC',
									   'post_type' => 'page'
								));
	if(count($npr_fs_postlist_h) > 0) {
		$npr_fs_postlist_n = array();
		$npr_fs_postlist = array();
		foreach($npr_fs_postlist_h AS $pshd) {
			$npr_fs_postlist_n[$pshd->ID] = $pshd;
		}
		$expl = explode(',',npr_option('featured_slider_pages'));
		if(count($expl) > 0) {
			foreach($expl AS $expd) {
				$npr_fs_postlist[] = $npr_fs_postlist_n[$expd];
			}
		}
	}
	
}

if($npr_fs_postlist[0] === NULL) {
	/* LOAD DEMO CONTENT IF THE SECTION IS ACTIVE BUT NOTHING TO SHOW */
	
	$npr_slider_demo 		= nprGetSliderDemo();
	
	$npr_fs_postlist 	= array();
	
	$npr_demo_slides = $npr_slider_demo['slides'];
	
}


?>
<ul id="npr_home_slider">
	<?php
	foreach($npr_fs_postlist AS $spost) {
		setup_postdata($spost);
		$post_options = get_post_meta($spost->ID,'_npr_custom_settings',true);
		if(!is_array($post_options)) $post_options = array();
		$post_title = ($post_options['npr_slide_title'] != '') ? $post_options['npr_slide_title'] : $spost->post_title;
		$post_link = ($post_options['npr_slide_link'] != '') ? $post_options['npr_slide_link'] : get_permalink($spost->ID);
		$post_image = ($post_options['npr_slide_image'] != '') ? $post_options['npr_slide_image'] : wp_get_attachment_url(get_post_thumbnail_id($spost->ID));
		if($post_image == '') $post_image = get_template_directory_uri() . '/images/blank.gif';
		?>
		<li>
			<h1><a href="<?php print $post_link; ?>"><?php print $post_title; ?></a></h1>
			<?php
			if($post_options['npr_slide_description'] != '') {
				?>
					<div class="slider_content">
						<?php print $post_options['npr_slide_description']; ?>
					</div>
				<?php
			}
			?>
			<div class="slider_image"><img src="<?php print $post_image; ?>" alt="<?php print $post_title; ?>" /></div>
		</li>
		<?php
	}
	print $npr_demo_slides;
	?>
</ul>
<?php
add_action('wp_enqueue_scripts','npr_init_home_scroll'); 
?>