<?php if (post_password_required()) return; ?>

<div id="comments">
<?php if(have_comments()) : ?>
	<h1 class="title comments_title"><?php comments_number(); ?></h1>
	<?php if(get_comment_pages_count() > 1 && get_option('page_comments')) : ?>
		<nav class="comments_nav clearfix">
			<div class="nav-previous"><?php previous_comments_link(__('&larr; Older Comments','above_skyline_demo')); ?></div>
			<div class="nav-next"><?php next_comments_link(__('Newer Comments &rarr;','above_skyline_demo')); ?></div>
		</nav>
	<?php endif; ?>
	
	<?php if(!empty($comments_by_type['comment'])) : ?>
		<ol class="commentlist clearfix">
			<?php wp_list_comments(array('type' => 'comment','style' => 'ol','callback' => 'npr_comment_display')); ?>
		</ol>
	<?php endif; ?>
	
	<?php if(get_comment_pages_count() > 1 && get_option('page_comments')) : ?>
		<nav class="comments_nav clearfix">
			<div class="nav-previous"><?php previous_comments_link(__('&larr; Older Comments','above_skyline_demo')); ?></div>
			<div class="nav-next"><?php next_comments_link(__('Newer Comments &rarr;','above_skyline_demo')); ?></div>
		</nav>
	<?php endif; ?>
	
	<?php if(!empty($comments_by_type['pings'])) : ?>
		<div id="trackbacks">
			<h3 id="trackbacks-title"><?php esc_html_e('Trackbacks/Pingbacks','above_skyline_demo') ?></h3>
			<ol class="pinglist">
				<?php wp_list_comments(array('type' => 'pings','style' => 'ol','callback' => 'npr_ping_show')); ?>
			</ol>
		</div>
	<?php endif; ?>
<?php endif; ?>



<?php if (!comments_open() && get_comments_number()) : ?>
<p class="nocomments"><?php _e('Comments are closed.','above_skyline_demo'); ?></p>
<?php endif; ?>

<?php comment_form(array('comment_notes_after' => '')); ?>
</div>