<?php
if(!isset($_SESSION)) session_start();
/*
Template Name: Contact Page
*/
if(isset($_REQUEST['npr_sendform'])) {
	$err = array();
	if($_POST['contact_name'] == '') $err[] = __('Name is required','above_skyline_demo');
	if($_POST['contact_email'] == '') $err[] = __('E-mail is required','above_skyline_demo');
	if($_POST['contact_subject'] == '') $err[] = __('Subject is required','above_skyline_demo');
	if($_POST['contact_message'] == '') $err[] = __('Message is required','above_skyline_demo');
	if($_POST['contact_errn'] != $_SESSION['capt_'.$_POST['fid']]) $err[] = __('Numbers don\'t match','above_skyline_demo');
	if(!isset($_POST['_wpnonce_cf_submitted']) || !wp_verify_nonce($_POST['_wpnonce_cf_submitted'],'cform_submit')) {
		$err[] = __('Direct access not allowed','above_skyline_demo');
	}
	
	if(count($err) > 0) {
		$message_e = implode('<br/>',$err);
	} else {
		$message_e = 1;
		
		$contact_name 	= sanitize_text_field($_POST['contact_name']);
		$contact_email 	= sanitize_email($_POST['contact_email']);

		$emheaders[] = 'From: '.$contact_name.' <'.$contact_email.'>';
		$emheaders[] = 'Reply-To: '.$contact_name.' <'.$contact_email.'>';
		
		wp_mail(get_post_meta($post->ID,'_npr_contact_form_email',true),
				sprintf('[%s]'.sanitize_text_field($_POST['contact_subject']),get_option('blogname')),
				wp_strip_all_tags($_POST['contact_message']),$emheaders);
	}
	if(isset($_POST['ajax'])) {
		print $message_e;
	} else {
		header("location:".get_permalink(get_the_ID()));	
	}
} else {
$fullwidth = (get_post_meta($post->ID,'_npr_contact_fullwidth',true) == 'true') ? true : false;

$formid = 'npr_contact_form_'.dechex(mt_rand(0,65536));

if(get_post_meta($post->ID,'_npr_contact_showmaps',true) == 'true') {
	$mapsbox = '<div class="npr_contact_maps">
		<iframe frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="'.get_post_meta($post->ID,'_npr_contact_googlemaps',true).'&output=embed"></iframe>
	</div>';
}

if(get_post_meta($post->ID,'_npr_contact_showinfo',true) == 'true') {
	$sple = explode('@',get_post_meta($post->ID,'_npr_contact_email',true));
	$infobox = '<div class="npr_contact_info">
		'.(get_post_meta($post->ID,'_npr_contact_name',true) != '' ? '<p class="contact_name">'.get_post_meta($post->ID,'_npr_contact_name',true).'</p>' : '').'
		'.(get_post_meta($post->ID,'_npr_contact_address_1',true) != '' ? '<p class="contact_address">'.get_post_meta($post->ID,'_npr_contact_address_1',true).'</p>' : '').'
		'.(get_post_meta($post->ID,'_npr_contact_address_2',true) != '' ? '<p class="contact_address">'.get_post_meta($post->ID,'_npr_contact_address_2',true).'</p>' : '').'
		'.(get_post_meta($post->ID,'_npr_contact_city',true) != '' ? '<p class="contact_country">'.get_post_meta($post->ID,'_npr_contact_city',true).'</p>' : '').'
		'.(get_post_meta($post->ID,'_npr_contact_state',true) != '' ? '<p class="contact_country">'.get_post_meta($post->ID,'_npr_contact_state',true).'</p>' : '').'
		'.(get_post_meta($post->ID,'_npr_contact_country',true) != '' ? '<p class="contact_country">'.get_post_meta($post->ID,'_npr_contact_country',true).'</p>' : '').'
		'.(get_post_meta($post->ID,'_npr_contact_zip',true) != '' ? '<p class="contact_country">'.get_post_meta($post->ID,'_npr_contact_zip',true).'</p>' : '').'
		'.(get_post_meta($post->ID,'_npr_contact_phone',true) != '' ? '<p class="contact_phone"><i class="fa fa-phone icon"></i> <a href="tel:'.get_post_meta($post->ID,'_npr_contact_phone',true).'">'.get_post_meta($post->ID,'_npr_contact_phone',true).'</a></p>' : '').'
		'.(get_post_meta($post->ID,'_npr_contact_fax',true) != '' ? '<p class="contact_fax"><i class="fa fa-print icon"></i>'.get_post_meta($post->ID,'_npr_contact_fax',true).'</p>' : '').'
		'.(get_post_meta($post->ID,'_npr_contact_email',true) != '' ? '<p class="contact_email"><i class="fa fa-envelope icon"></i> <a id="cformem_'.$formid.'"></a></p><script>jQuery(document).ready(function(){
			cformEmail(\''.$sple[0].'\',\''.$sple[1].'\',\''.$formid.'\');
		   });</script>' : '').'
	</div>';
}

if($mapsbox != '') $addclass .= '_box_maps';
if($infobox != '') $addclass .= '_box_info';

if($addclass != '') {
	$extra_content .= '<div class="'.$addclass.' cibox clearfix">
		'.$infobox.'
		'.$mapsbox.'
		<br class="clear" />
	</div>';
}


$cpn1 = mt_rand(1,10);
$cpn2 = mt_rand(1,10);

$cpd = mt_rand(1,30);

$rcpf = $cpn1 + $cpn2;

$cps = 'capt_'.$formid;
$_SESSION[$cps] = $rcpf;

$extra_content .= '<div class="npr_contact_form" id="cfrm_'.$formid.'">
	<form action="'.esc_url(get_permalink(get_the_ID())).'" method="post" id="'.$formid.'">
		<p><input type="text" name="contact_name" id="name_'.$formid.'" /></p>
		<p><input type="text" name="contact_email" id="email_'.$formid.'" /></p>
		<p><input type="text" name="contact_subject" id="subject_'.$formid.'" /></p>
		<p><input type="text" name="contact_errn" id="errn_'.$formid.'" class="errn" /></p>
		<p><textarea name="contact_message" id="message_'.$formid.'"></textarea></p>
		<p>'.wp_nonce_field('cform_submit','_wpnonce_cf_submitted',false,false).'<input type="hidden" name="npr_sendform" value="1" />
		<input type="hidden" name="fid" value="'.$formid.'" /><input type="submit" id="submit_'.$formid.'" value="'.__('Send','above_skyline_demo').'" /></p>
		'.($message_e != '' ? '<div class="cotnactform_error" id="errbox_'.$formid.'">'.$message_e.'</div>' : '').'
	</form>
	<script type="text/javascript">
	jQuery(document).ready(function(){
		initNprContactForm(\''.$formid.'\','.($rcpf*$cpd).','.($cpn1*$cpd*2).','.($cpn2*$cpd*3).','.$cpd.');
	});
	</script>
</div>';

include('page.php');
}
?>