<?php if(is_front_page()) return; ?>
<div id="breadcrumb"<?php print (is_single() || is_page() || is_home() ? ' class="onlybreadcrumb"' : '');?>>
	<?php if(function_exists('bcn_display')) { bcn_display(); }
		  else { ?>
				<a href="<?php print esc_url(home_url()); ?>" class="breadcrumbs_home"><?php esc_html_e('Home','above_skyline_demo') ?></a> <span class="brsep"><i class="fa fa-chevron-right"></i></span>

				<?php
				if(is_tag()) { 
					esc_html_e('Posts Tagged &quot;','above_skyline_demo'); single_tag_title(); esc_html_e("&quot;");
				} elseif (is_day()) { 
					esc_html_e('Posts made in ','above_skyline_demo'); the_time('F jS, Y'); 
				} elseif (is_month()) {
					esc_html_e('Posts made in ','above_skyline_demo'); the_time('F, Y');
				} elseif (is_year()) {
					esc_html_e('Posts made in ','above_skyline_demo'); the_time('Y'); 
				} elseif (is_search()) { 
					esc_html_e('Search results for ','above_skyline_demo'); the_search_query();
				} elseif (is_single()) { 
					$category = get_the_category();
					if ($category) {
						$catlink = get_category_link($category[0]->cat_ID);
						print ('<a href="'.esc_url($catlink).'">'.esc_html($category[0]->cat_name).'</a><span class="brsep"><i class="fa fa-chevron-right"></i></span>');
					}
					print get_the_title();
				} elseif (is_category()) {
					single_cat_title(); 
				} elseif (is_tax()) { 
					$txlist = array();
					$txterms = get_queried_object();
					$txterms_parent_id = $txterms->parent;
					$txterms_taxonomy = $txterms->taxonomy;

					while ($txterms_parent_id) {
						$txcurr = get_term($txterms_parent_id, $txterms_taxonomy);
						$txlist[] = '<a href="'.esc_url(get_term_link($txcurr,$txterms_taxonomy)).'" title="'.esc_attr($txcurr->name).'">'.esc_html($txcurr->name).'</a>';
						$txterms_parent_id = $txcurr->parent;
					}

					if (!empty($txlist)) print implode('<span class="brsep"><i class="fa fa-chevron-right"></i></span> ',array_reverse($txlist)).' <span class="brsep"><i class="fa fa-chevron-right"></i></span> ';
					print esc_html($txterms->name);
					
				} elseif (is_author()) { 
						global $wp_query;
						$curauth = $wp_query->get_queried_object();
						esc_html_e('Posts by ','above_skyline_demo');
						print ' '.$curauth->nickname; 
				} elseif (is_page()) { 
					wp_title(''); 
				}; 
	} ?>
	<?php if(!is_home()) { ?><span class="brsep"><i class="fa fa-chevron-right"></i></span><?php } ?>
</div>