<?php
$npr_tabs_tabs = '';
$npr_tabs_content = '';
if(npr_option('tabs_pages') != '') {
	$npr_tabs_postlist_h = get_posts(array(
									'include' => npr_option('tabs_pages'),
									'orderby' => 'ID',
									'order' => 'DESC',
									'post_type' => 'page'
								));
	if(count($npr_tabs_postlist_h) > 0) {
		$npr_tabs_postlist_n = array();
		$npr_tabs_postlist = array();
		foreach($npr_tabs_postlist_h AS $pshd) {
			$npr_tabs_postlist_n[$pshd->ID] = $pshd;
		}
		$expl = explode(',',npr_option('tabs_pages'));
		if(count($expl) > 0) {
			foreach($expl AS $expd) {
				$npr_tabs_postlist[] = $npr_tabs_postlist_n[$expd];
			}
		}
	}
	
} else {
	/* LOAD DEMO CONTENT IF THE SECTION IS ACTIVE BUT NOTHING TO SHOW */
	$npr_tabs_demo 		= nprGetTabsDemo();
	
	$npr_tabs_postlist 	= array();
	
	$npr_tabs_tabs 		= $npr_tabs_demo['tabs'];
	$npr_tabs_content 	= $npr_tabs_demo['content'];
}

?>

<div class="npr_home_tab_panel" id="npr_home_tabs">
	<ul class="npr_home_tabs clearfix" id="npr_home_tabs_menu">
		<?php
		$ftab = 0;
		foreach($npr_tabs_postlist AS $ptab) {
			setup_postdata($ptab);
			$post_options = get_post_meta($ptab->ID,'_npr_custom_settings',true);
			if(!is_array($post_options)) $post_options = array();
			$post_title = ($post_options['npr_tab_title'] != '') ? $post_options['npr_tab_title'] : $ptab->post_title;
			?>
			<li<?php print ($ftab == 0 ? ' class="npr_tab_active"' : '');?>><a href="<?php print get_permalink($ptab->ID);?>" rel="<?php print $ptab->ID;?>"><?php print $post_title;?></a></li>
			<?php
			$ftab = 1;
		}
		print $npr_tabs_tabs;
		?>
	</ul>
	<div class="npr_home_tab_contents" id="npr_home_tabs_container">
		<?php
		$ftab = 0;
		global $more;
		foreach($npr_tabs_postlist AS $ptab) {
			$more = 0; 
			setup_postdata($ptab);
			$post_options = get_post_meta($ptab->ID,'_npr_custom_settings',true);
			if(!is_array($post_options)) $post_options = array();
			?>
			<div class="content npr_home_tab_content <?php print ($ftab == 0 ? ' npr_tab_active' : '');?>" id="npr_tab_content_<?php print $ptab->ID;?>">
				<?php
				if($post_options['npr_tab_content'] != '') print npr_newline($post_options['npr_tab_content']); else the_content('');
				?>
			</div>
			<?php
			$ftab = 1;
		}
		print $npr_tabs_content;
		?>
	</div>
</div>
