<?php if(!is_front_page() && is_home()) return; ?>
<div id="top_info">
<?php
	$npr_small_title = '';
	if(is_tag()) {
		$frist_title = '<span class="topinfo_extra">'.esc_html__('Posts Tagged &quot;','above_skyline_demo').'</span>'.single_tag_title('',false).'<span class="topinfo_extra">&quot;</span>';
	} elseif (is_search()) {
		$frist_title = '<span class="topinfo_extra">'.esc_html__('Search results for ','above_skyline_demo').' </span>'.get_search_query();
	} elseif (is_category()) {
		$frist_title = single_cat_title('',false);
		$npr_small_title = category_description();
	} elseif (is_author()) {
		global $wp_query;
		$curauth = $wp_query->get_queried_object();
		$frist_title = esc_html__('Posts by ','above_skyline_demo').$curauth->nickname;
	} elseif (is_day()) {
		$frist_title = '<span class="topinfo_extra">'.esc_html__('Posts made in ','above_skyline_demo').'</span>'.get_the_time('F jS, Y');
	} elseif (is_month()) {
		$frist_title = '<span class="topinfo_extra">'.esc_html__('Posts made in ','above_skyline_demo').'</span>'.get_the_time('F, Y');
	} elseif (is_year()) {
		$frist_title = '<span class="topinfo_extra">'.esc_html__('Posts made in ','above_skyline_demo').'</span>'.get_the_time('Y');
	} elseif(is_tax()){
		$frist_title = single_term_title('',false);
		$npr_small_title = term_description();
	} elseif(is_post_type_archive()) {
		$frist_title = post_type_archive_title('',false);
	}
?>
	<h1 id="top_first_title"><?php print $frist_title; ?></h1>
<?php if($npr_small_title != '') { ?>
	<p id="top_small_title"><?php print $npr_small_title; ?></p>
<?php } ?>
</div>